Bug 1008901 - Some serious log messages don't have id to identify them
Some serious log messages don't have id to identify them
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR5
: EAP 6.3.0
Assigned To: Jean-frederic Clere
Michal Karm Babacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:11 EDT by Petr Kremensky
Modified: 2014-06-28 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, it was found that two log messages were not localized correctly. As a result users did not see a MODCLUSTER{ID} message nor a translation. In this release, two messages have been added: MODCLUSTER000044 and MODCLUSTER000045. The messages now appear as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:37:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODCLUSTER-380 Major Closed Some serious log messages don't have id to identify them 2018-07-09 12:15 EDT

  None (edit)
Description Petr Kremensky 2013-09-17 06:11:45 EDT
According to https://issues.jboss.org/browse/ANDIAMO-7 all serious log messages should have a unique code that can be used to identify them.
As a part of logging unification tests for EAP I found:
modcluster/core/src/main/java/org/jboss/modcluster/load/metric/impl/AverageSystemLoadMetric.java
 - 52   logger.warnf("%s is not supported on this system and will be disabled.", this.getClass().getSimpleName());
modcluster/core/src/main/java/org/jboss/modcluster/load/metric/impl/SystemMemoryUsageLoadMetric.java
 - 64   this.logger.warn(this.getClass().getSimpleName() + " requires com.sun.management.OperatingSystemMXBean.");

these should be moved to ModClusterLogger.java as well

version: 1.2.4.Final
Comment 1 Jean-frederic Clere 2013-12-17 02:34:44 EST
That requires a new version of mod_cluster.
Comment 2 Michal Karm Babacek 2014-03-21 06:46:10 EDT
02:43:20,779 WARN  [org.jboss.modcluster] (ContainerBackgroundProcessor[StandardEngine[jboss.web]]) MODCLUSTER000045: AverageSystemLoadMetric is not supported on this system and will be disabled.


VERIFIED

Note You need to log in before you can comment on or make changes to this bug.